# EKFCh Class Reference

Extended Kalman Filter in Square root. More...

`#include <libKF.h>`

Inheritance diagram for EKFCh:

[legend]
Collaboration diagram for EKFCh:

[legend]

List of all members.

## Public Member Functions
| EKFCh (RV rvx, RV rvy, RV rvu)
| Default constructor.
void | set_parameters (diffbifn *pfxu, diffbifn *phxu, const chmat Q0, const chmat R0)
| Set nonlinear functions for mean values and covariance matrices.
void | bayes (const vec &dt)
| Here dt = [yt;ut] of appropriate dimensions.
void | set_parameters (const mat &A0, const mat &B0, const mat &C0, const mat &D0, const chmat &R0, const chmat &Q0)
| Set parameters with check of relevance.
void | set_est (const vec &mu0, const chmat &P0)
| Set estimate values, used e.g. in initialization.
void | bayes (mat Dt)
| Batch Bayes rule (columns of Dt are observations).
epdf & | _epdf ()
| access function
mat & | __K ()
| access function
vec | _dP ()
| access function
const RV & | _rv () const
| access function
double | _ll () const
| access function
## Protected Attributes
mat | preA
| pre array (triangular matrix)
mat | postA
| post array (triangular matrix)
RV | rvy
| Indetifier of output rv.
RV | rvu
| Indetifier of exogeneous rv.
int | dimx
| cache of rv.count()
int | dimy
| cache of rvy.count()
int | dimu
| cache of rvu.count()
mat | A
| Matrix A.
mat | B
| Matrix B.
mat | C
| Matrix C.
mat | D
| Matrix D.
chmat | Q
| Matrix Q in square-root form.
chmat | R
| Matrix R in square-root form.
enorm< chmat > | est
| posterior density on $x_t$
enorm< chmat > | fy
| preditive density on $y_t$
mat | _K
| placeholder for Kalman gain
vec & | _yp
| cache of fy.mu
chmat & | _Ry
| cache of fy.R
vec & | _mu
| cache of est.mu
chmat & | _P
| cache of est.R
RV | rv
| Random variable of the posterior.
double | ll
| Logarithm of marginalized data likelihood.
bool | evalll
| If true, the filter will compute likelihood of the data record and store it in `ll` . Set to false if you want to save time.

## Detailed Description

Extended Kalman Filter in Square root.

An approximation of the exact Bayesian filter with Gaussian noices and non-linear evolutions of their mean.

The documentation for this class was generated from the following files:

- work/mixpp/bdm/estim/libKF.h
- work/mixpp/bdm/estim/libKF.cpp